#include <arch/philips/lpc2103_k9supd.h>
#include "interrupts.h"

// put all interrupt routines in a separate source file because they cannot
// be compiled in thumb mode

void timer_ISR(void)
{
	FIOPIN ^= (1 << 19);		// toggle the LED
	T0IR |= 0x01;				// clear the MR0 interrupt flag.
	VICVectAddr = 0;			// must write to VICVectAddr in ISR
}

void UNDEF_Routine() { }
void SWI_Routine() { }
void PAbt_Routine() { }
void DAbt_Routine() { }
void FIQ_Routine() { }
